# Uses of Interface
org.opensaml.saml.saml1.core.AudienceRestrictionCondition

Packages that use AudienceRestrictionCondition
Package
Description
org.opensaml.saml.common.profile.impl
Actions and classes common to both SAML versions.
org.opensaml.saml.saml1.core
Interfaces for SAML 1.0 and 1.1 types and elements.
org.opensaml.saml.saml1.core.impl
Implementations of SAML 1.x core specification types and elements.

## Uses of AudienceRestrictionCondition in org.opensaml.saml.common.profile.impl

Methods in org.opensaml.saml.common.profile.impl that return AudienceRestrictionCondition
Modifier and Type
Method
Description
`private AudienceRestrictionCondition`
AddAudienceRestrictionToAssertions.`getAudienceRestrictionCondition(Conditions conditions)`
Get the `AudienceRestrictionCondition` to which audiences will be added.

## Uses of AudienceRestrictionCondition in org.opensaml.saml.saml1.core

Methods in org.opensaml.saml.saml1.core that return types with arguments of type AudienceRestrictionCondition
Modifier and Type
Method
Description
`List<AudienceRestrictionCondition>`
Conditions.`getAudienceRestrictionConditions()`
Get the audience restriction conditions.

## Uses of AudienceRestrictionCondition in org.opensaml.saml.saml1.core.impl

Classes in org.opensaml.saml.saml1.core.impl that implement AudienceRestrictionCondition
Modifier and Type
Class
Description
`class`
`AudienceRestrictionConditionImpl`
Concrete implementation of the org.opensaml.saml.saml1.core.AudienceRestrictionCondition.
Methods in org.opensaml.saml.saml1.core.impl that return AudienceRestrictionCondition
Modifier and Type
Method
Description
`AudienceRestrictionCondition`
AudienceRestrictionConditionBuilder.`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`AudienceRestrictionCondition`
AudienceRestrictionConditionBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
Methods in org.opensaml.saml.saml1.core.impl that return types with arguments of type AudienceRestrictionCondition
Modifier and Type
Method
Description
`List<AudienceRestrictionCondition>`
ConditionsImpl.`getAudienceRestrictionConditions()`
Get the audience restriction conditions.